summaryrefslogtreecommitdiff
path: root/qa/267
diff options
context:
space:
mode:
Diffstat (limited to 'qa/267')
-rwxr-xr-xqa/26744
1 files changed, 44 insertions, 0 deletions
diff --git a/qa/267 b/qa/267
new file mode 100755
index 0000000..b01a985
--- /dev/null
+++ b/qa/267
@@ -0,0 +1,44 @@
+#!/bin/sh
+# PCP QA Test No. 267
+# this tests for memory leaks in pmNewContext->pmDestroyContext loops
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+
+status=1 # failure is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+
+cd src
+if [ ! -f foo.0 ]
+then
+ echo "Error: this test needs to use archive \"foo\""
+ exit 1
+fi
+
+echo "Checking host mode ..."
+./chk_memleak -i 250 -h localhost
+status1=$?
+echo "Checking archive mode ..."
+./chk_memleak -i 250 -a foo
+status2=$?
+
+if [ $status1 -eq 0 -a $status2 -eq 0 ]
+then
+ :
+else
+ echo "Error: chk_memleak failed"
+ exit $status
+fi
+
+# success, all done
+status=0
+exit